var suitehelp = {};
suitehelp.contexts={"Amazons3ClientConfiguration":"GUID-9BF8A103-A43B-4807-AB8B-55E71092BC5A.html","bw.amazons3_bw.amazons3.GetObject":"GUID-6E3283F9-F9A5-452A-A2CE-85CD2487AACF.html","bw.amazons3_bw.amazons3.Put":"GUID-98315D41-CAC1-4AF9-B62F-97A8658EB951.html","bw.amazons3_bw.amazons3.Delete":"GUID-0C49429C-7F0B-4795-8C8B-07F95F2C6D2F.html","bw.amazons3_bw.amazons3.Update":"GUID-A387DEC9-D1F7-440F-86A8-1AA345720ACA.html"};
// Check for a context-sensitive link and redirect if present (and valid)
suitehelp.checkContext = function () {
    "use strict";

    var context = suitehelp.contexts[suitehelp.getQueryString("context")],
        adjustedQS =  window.location.search.substring(1).replace(/context=[^&]+&|(&|^)context=[^&]+/, "");
    if (context) {
        if (adjustedQS) {
       
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context + "?" + adjustedQS;
        } else {
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context;
        }
    }

};

// Lookup a query string variable
suitehelp.getQueryString = function (key) {
    "use strict";

    if (!suitehelp.queryString) {
        suitehelp.queryString = {};
        var query = window.location.search.substring(1),
            vars = query.split("&"),
            i,
            pair;
        for (i = 0; i < vars.length; i += 1) {
            pair = vars[i].split("=");
            suitehelp.queryString[pair[0]] = unescape(pair[1]);
        }
    }

    return suitehelp.queryString[key];
};

suitehelp.checkContext();